module.exports = function (config) {
    config.set({
        frameworks: ['jasmine'],
        files: [
            'src/*.js',
            'spec/*.js'
        ],
        preprocessors: {
            'src/*.js': ['coverage']
        },
        coverageReporter: {
            type: 'html',
            dir: 'coverage/'
        },
        reporters: ['progress', 'coverage'],
        browsers: ['Chrome']
    });
};
