describe('mocks', function () {
    it ('should work with mocks', function () {
        var myObj = {
            name: 'Klaus',
            getName: function () {
                return this.name;
            }
        }

        var mock = sinon.mock(myObj);

        mock.expects('getName').once();

        myObj.getName();
        myObj.getName();

        mock.verify();

    });
});
