function EventEmitter () {};

EventEmitter.prototype.events = {};

EventEmitter.prototype.on = function (event, cb) {
    this.events[event] = [cb];
};

EventEmitter.prototype.trigger = function (event) {
    var cbs = this.events[event];
    for (var i = 0; i < cbs.length; i++) {
        this.events[event][i](arguments[1]);
    }
}