describe("validator", function () {

    var fixture = '<form id="registerForm"><div><label for="firstname">Vorname</label><input id="firstname" name="firstname"/><div class="message hidden">Bitte Vornamen angeben</div></div><div><label for="surname">Nachname</label><input id="surname" name="surname"/><div class="message hidden">Bitte Nachnamen angeben</div></div><div><label for="email">E-Mail</label><input id="email" name="email"/><div class="message hidden">Bitte E-Mail angeben</div></div><div><label for="password1">Passwort</label><input type="password" id="password1" name="password1"/><div class="message hidden">Bitte Passwort angeben</div></div><div><label for="password2">Passwort wiederholen</label><input type="password" id="password2" name="password2"/><div class="message hidden">Bitte Passwort angeben</div></div><div><label></label><input type="submit"value="registrieren"/></div></form>';

    beforeEach(function () {
        $('body').append(fixture);
        $('#registerForm').on('submit', validate);
    });

    afterEach(function () {
        $('#registerForm').remove();
    });

    it ("should show five messages", function () {
        $('#registerForm').submit();
        expect($('.message.visible').length).toBe(5);
    });

    it ("should show four messages, if one field is filled", function () {
        $('#firstname').val('Klaus');
        $('#registerForm').submit();
        expect($('.message.visible').length).toBe(4);
    });
});