describe("validator", function () {

    jasmine.getFixtures().fixturesPath = 'fixtures/'

    beforeEach(function () {
        loadFixtures('fixture.html');
        $('#registerForm').on('submit', validate);
    });

    it ("should show five messages", function () {
        $('#registerForm').submit();
        expect($('.message.visible').length).toBe(5);
    });

    it ("should show four messages, if one field is filled", function () {
        $('#firstname').val('Klaus');
        $('#registerForm').submit();
        expect($('.message.visible').length).toBe(4);
    });

    it ("should test an empty element", function () {
        expect($('#myEmptyElement')).toBeEmpty();
    });
});
