describe('Promise', function() {
    /*it('should test a successful promise', function(done) {
        myAsyncFunc(true).done(function(data) {
            expect(data).toEqual('Hello World');
            done();
        });
    });

    it('should test a failing promise', function () {
        myAsyncFunc(false).fail(function(data) {
            expect(data).toEqual('failed');
        })
    });*/


    it('should return a promise', function() {
        var promise = incrementValue();
        expect(promise.__proto__ == Q.defer().promise.__proto__).toBe(true);
    });

    it('should resolve the promise and increment the value', function(done) {
        var myObj = {value: 500};
        var promise = incrementValue(myObj);
        promise.then(function(modifiedObj) {
            expect(modifiedObj.value).toBe(600);
            done();
        });
    });

    it('should reject the promise if the value will be over 1000', function(done) {
        var myObj = {value: 950};
        var promise = incrementValue(myObj);
        promise.then(mull, function(modifiedObj) {
            expect(modifiedObj.value).toBe(950);
            done();
        });
    });

});
