describe("validator", function () {

    beforeEach(function () {
        $('body').append(window.__html__['fixtures/fixture.html']);
        $('#registerForm').on('submit', validate);
    });

    afterEach(function () {
        $('#registerForm').remove();
    });

    it ("should show five messages", function () {
        $('#registerForm').submit();
        expect($('.message.visible').length).toBe(5);
    });

    it ("should show four messages, if one field is filled", function () {
        $('#firstname').val('Klaus');
        $('#registerForm').submit();
        expect($('.message.visible').length).toBe(4);
    });
});
