Player = function() {};

Player.prototype.gameOver = function() {
    this.isOutOfBounds();
    this.snakeAteItself();
};

Player.prototype.isOutOfBounds = function() {
    var head = this.snake[0];

    if (head.x < 0 || head.x > this.board.width -1 ||
        head.y < 0 || head.y > this.board.height -1) {
        throw new Error('Out of bounds');
    }
};

Player.prototype.snakeAteItself = function() {
    var head = this.snake[0];
    var currentEl;
    for (var i = 1; i < this.snake.length; i++) {
        currentEl = this.snake[i];
        if (head.x === currentEl.x && head.y === currentEl.y) {
            throw new Error('Snake ate itself');
        }
    }
};